Skip to main content
POST
/
gst
/
compliance
/
public
/
pan
/
search
Search GSTIN by PAN
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/public/pan/search \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "pan": "AAACJ2440E"
}
'
{ "code": 200, "data": [ { "data": { "ctjCd": "", "cxdt": "-", "dty": "Regular", "einvoiceStatus": "No", "gstin": "33GSPTN9771G1ZR", "lgnm": "NARENDRA KUMAR PAREEK", "lstupdt": "11/09/2017", "stjCd": "", "sts": "Cancelled", "tradeNam": "M/S AJAY GAS CENTRE" }, "gstin": "33GSPTN9771G1ZR" }, { "data": { "ctjCd": "", "cxdt": "-", "dty": "Regular", "einvoiceStatus": "No", "gstin": "33GSPTN9771G2ZQ", "lgnm": "NISAR ALI", "lstupdt": "11/09/2017", "stjCd": "", "sts": "Cancelled", "tradeNam": "" }, "gstin": "33GSPTN9771G2ZQ" }, { "data": { "ctb": "Proprietorship", "ctj": "", "ctjCd": "0101", "cxdt": "", "dty": "Regular", "einvoiceStatus": "No", "gstin": "33GSPTN9771G3ZP", "lgnm": "Adaequare TN TaxPayer 1 Ltd", "lstupdt": "06/01/2018", "rgdt": "01/04/2016", "stj": "ADYAR", "stjCd": "TN001", "sts": "Active", "tradeNam": "Adaequare TN TaxPayer 1 Ltd" }, "gstin": "33GSPTN9771G3ZP" } ], "timestamp": 200, "transaction_id": "a8822161-3bbd-467e-8404-db3e3e489c17" }

Headers

Authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-accept-cache
boolean

Pass true to accept the cached response. If the header is not passed, or if false is sent as the value, the request will hit the origin.

x-api-version
string
default:1.0.0

API version

Query Parameters

state_code
string
required

GST state code

Example:

"{{state_code}}"

Body

application/json
pan
string
required

PAN of the taxpayer

Response

200 - application/json

200 Success / 200 Success / NOGSTIN No records found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"a4bcca2e-7e82-4eaf-8046-6cd4e8c028c1"